#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@alum.mit.edu).
#
#  Copyright (c) 1997 by The Geometry Center.
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained by emailing savi@geom.umn.edu.
#
######################################################
#
# load.tcl
#
# $Id: load.tcl,v 1.1.1.1 2001/11/11 19:59:57 lloydwood Exp $

proc load(build) {} {

    set name [build_Toplevel load]

    build_Title $name "Load satellites"

    set cmd [build_CmdFrame $name cmd]

    build_Filename $cmd fn Load(filename) Load(directory)

    pack $cmd -fill x

    build_DismissButtonbar $name dbbar load(dismiss) \
	{"Load" load(go)} {"Delete and load" load(delete_go)}
}

proc load(dismiss) {} {
    destroy .load
}

proc load(go) {} {
    global Load geomview_module

    if {$geomview_module == 1} {
        satellites GV_SEND "(ui-freeze on)"
    }
    # if filename ends in ".tle" then interpret as a two-line-element file
    if {[eval regexp {\.tle} $Load(filename)]} {
	# tle file
	tle_file_input $Load(directory)/$Load(filename)
    } {
	# interpret as a tcl file
	source $Load(directory)/$Load(filename)
    }
    if {$geomview_module == 1} {
        satellites GV_SEND "(ui-freeze off)"
    }
    main(update)
    coverage(update)
    fisheye(update)
}

proc load(delete_go) {} {
    satellites DELETE_ALL
    load(go)
}



